Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.time
Class TimerRateComboBox.TimerRateHolder

    java.lang.Object
      com.bbn.openmap.gui.time.TimerRateComboBox.TimerRateHolder

Enclosing class:
  TimerRateComboBox

public class TimerRateComboBox.TimerRateHolder
extends java.lang.Object

Field Summary
`protected int` | `pace`
`protected int` | `timerInterval`
`protected java.lang.String` | `title`

Constructor Summary
`TimerRateComboBox.TimerRateHolder(java.lang.String t, int ti, int p)`

Method Summary
`void` | `modifyTimer(RealTimeHandler rth)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### title

    protected java.lang.String title

### timerInterval

    protected int timerInterval

### pace

    protected int pace

Constructor Detail

### TimerRateComboBox.TimerRateHolder

    public TimerRateComboBox.TimerRateHolder(java.lang.String t,
                                             int ti,
                                             int p)

Method Detail

### modifyTimer

    public void modifyTimer(RealTimeHandler rth)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details